Subject: bug#5365: 23.1.91; Wrong type argument: keymapp, ("DEAD" . 35215396)

From: Sven Joachim <[email-masked]>
Date: Wed, 13 Jan 2010 11:03:55 +0100

On 2010-01-12 15:58 +0100, Sven Joachim wrote:

> Today I've built and installed an emacs-snapshot package for Debian, and
> I'm seeing this:
>
> ,----
> | % emacs -Q
> | Wrong type argument: keymapp, ("DEAD" . 35215396)
> | % echo $?
> | 255
> `----
>
> Unfortunately this is a Heisenbug, I'm not able to reproduce it under
> gdb.

I now managed to attach gdb to a running process and get a backtrace
after setting a breakpoint on Fsignal:

,----
| (gdb) bt
| #0  Fsignal (error_symbol=138366426, data=138990086) at eval.c:1629
| #1  0x0818cfa8 in xsignal (error_symbol=138366426, data=138990086) at eval.c:1729
| #2  0x0818d377 in xsignal2 (error_symbol=138366426, arg1=138358370, arg2=140861614) at eval.c:1753
| #3  0x0817b0a1 in wrong_type_argument (predicate=138358370, value=140861614) at data.c:118
| #4  0x081324a5 in get_keymap (object=140861614, error=1, autoload=1) at keymap.c:307
| #5  0x08132d32 in keymap_parent (keymap=140861614, autoload=1) at keymap.c:321
| #6  0x08132dc9 in Fkeymap_parent (keymap=140861614) at keymap.c:341
| #7  0x0818cb44 in Ffuncall (nargs=2, args=0xffa14ac8) at eval.c:3024
| #8  0x081c4bd1 in Fbyte_code (bytestr=137365729, vector=137365749, maxdepth=16) at bytecode.c:679
| #9  0x0818e944 in funcall_lambda (fun=<value optimized out>, nargs=<value optimized out>, arg_vector=0x848d216) at eval.c:3211
| #10 0x0818c953 in Ffuncall (nargs=2, args=0xffa14c30) at eval.c:3081
| #11 0x081c4bd1 in Fbyte_code (bytestr=136627065, vector=136627085, maxdepth=20) at bytecode.c:679
| #12 0x0818e944 in funcall_lambda (fun=<value optimized out>, nargs=<value optimized out>, arg_vector=0x848d216) at eval.c:3211
| #13 0x0818c953 in Ffuncall (nargs=2, args=0xffa14db0) at eval.c:3081
| #14 0x081c4bd1 in Fbyte_code (bytestr=137074713, vector=137074733, maxdepth=24) at bytecode.c:679
| #15 0x0818e944 in funcall_lambda (fun=<value optimized out>, nargs=<value optimized out>, arg_vector=0x848d216) at eval.c:3211
| #16 0x0818c953 in Ffuncall (nargs=2, args=0xffa14f30) at eval.c:3081
| #17 0x081c4bd1 in Fbyte_code (bytestr=137071977, vector=137071997, maxdepth=24) at bytecode.c:679
| #18 0x0818e944 in funcall_lambda (fun=<value optimized out>, nargs=<value optimized out>, arg_vector=0x848d216) at eval.c:3211
| #19 0x0818c953 in Ffuncall (nargs=1, args=0xffa150b0) at eval.c:3081
| #20 0x081c4bd1 in Fbyte_code (bytestr=136675297, vector=136675317, maxdepth=28) at bytecode.c:679
| #21 0x0818e944 in funcall_lambda (fun=<value optimized out>, nargs=<value optimized out>, arg_vector=0x848d216) at eval.c:3211
| #22 0x0818c953 in Ffuncall (nargs=1, args=0xffa15230) at eval.c:3081
| #23 0x081c4bd1 in Fbyte_code (bytestr=136672241, vector=136672261, maxdepth=24) at bytecode.c:679
| #24 0x0818e944 in funcall_lambda (fun=<value optimized out>, nargs=<value optimized out>, arg_vector=0x848d216) at eval.c:3211
| #25 0x0818eb43 in apply_lambda (fun=136672221, args=138328562, eval_flag=1) at eval.c:3135
| #26 0x0818e224 in Feval (form=138570382) at eval.c:2406
| #27 0x08123cf3 in top_level_2 () at keyboard.c:1369
| #28 0x0818be91 in internal_condition_case (bfun=0x8123ce0 <top_level_2>, handlers=138366378, hfun=0x8128a00 <cmd_error>) at eval.c:1490
| #29 0x081287b5 in top_level_1 () at keyboard.c:1377
| #30 0x0818bf71 in internal_catch (tag=138363450, func=0x8128750 <top_level_1>, arg=138328562) at eval.c:1226
| #31 0x08128831 in command_loop () at keyboard.c:1332
| #32 0x08128bea in recursive_edit_1 () at keyboard.c:954
| #33 0x08128d12 in Frecursive_edit () at keyboard.c:1016
| #34 0x0811d3d8 in main (argc=<value optimized out>, argv=<value optimized out>) at emacs.c:1833
| 
| Lisp Backtrace:
| "keymap-parent" (0xffa14acc)
| "x-setup-function-keys" (0xffa14c34)
| "x-create-frame-with-faces" (0xffa14db4)
| "make-frame" (0xffa14f34)
| "frame-initialize" (0xffa150b4)
| "command-line" (0xffa15234)
| "normal-top-level" (0xffa15330)
| (gdb)
`----

Any advice how to proceed would be appreciated.

Sven